#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


# Because of cmake(KF5KdepimDBusInterfaces) not available on armv5
ExcludeArch:    armv5tl

%define rel 1

Name:       korganizer
Summary:    Calendar and scheduling component
Version: 17.12.2
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://www.kde.org/
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros

BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5UiTools)

# Find KF5 package
BuildRequires: cmake(KF5NewStuff)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5Service)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5Codecs)
BuildRequires: cmake(KF5Crash)

# Find KdepimLibs Package
BuildRequires: cmake(KF5PimTextEdit)
BuildRequires: cmake(KF5Akonadi)
BuildRequires: cmake(KF5Contacts)
BuildRequires: cmake(KF5CalendarCore)
BuildRequires: cmake(KF5AkonadiContact)
BuildRequires: cmake(KF5IdentityManagement)
BuildRequires: cmake(KF5MailTransport)
BuildRequires: cmake(KF5AkonadiMime)
BuildRequires: cmake(KF5CalendarUtils)
BuildRequires: cmake(KF5Holidays)
BuildRequires: cmake(KF5Ldap)
BuildRequires: cmake(KF5AkonadiCalendar)
BuildRequires: cmake(KF5AkonadiSearch)

BuildRequires: cmake(KF5KontactInterface)
BuildRequires: cmake(KF5Mime)
BuildRequires: cmake(KF5AkonadiNotes)

BuildRequires: cmake(KF5KdepimDBusInterfaces)
BuildRequires: cmake(KF5MailCommon)
BuildRequires: cmake(KF5PimCommon)
BuildRequires: cmake(KF5Libkdepim)
BuildRequires: cmake(KF5IncidenceEditor)
BuildRequires: cmake(KF5CalendarSupport)
BuildRequires: cmake(KF5EventViews)

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
KOrganizer provides management of events and tasks, alarm notification,
web export, network transparent handling of data, group scheduling,
import and export of calendar files and more. It is able to work together
with a wide variety of groupware servers, for example Kolab, Open-Xchange,
Citadel or OpenGroupware.org.

%files -f %name.lang
%_kf5_sysconfdir/xdg/korganizer.categories
%_kf5_sysconfdir/xdg/korganizer.renamecategories
%_kf5_bindir/korgac
%_kf5_bindir/korganizer
%_kf5_services/korganizer_*
%_kf5_sysconfdir/xdg/autostart/org.kde.korgac.desktop
%_kf5_sysconfdir/xdg/korganizer.knsrc
%_qt5_plugindir/kcm_korganizer.so
%_qt5_plugindir/korganizerpart.so
%_kf5_datadir/appdata/org.kde.korganizer.appdata.xml
%_kf5_datadir/applications/org.kde.korganizer.desktop
%_kf5_datadir/applications/korganizer-import.desktop
%_kf5_datadir/config.kcfg/korganizer.kcfg
%_kf5_datadir/korganizer
%_kf5_datadir/korgac
%_kf5_services/kcmtodosummary.desktop
%_kf5_services/webcal.protocol
%_kf5_datadir/kservicetypes5/dbuscalendar.desktop
%_datadir/dbus-1/interfaces/org.kde.Korganizer.Calendar.xml
%_datadir/dbus-1/interfaces/org.kde.korganizer.KOrgac.xml
%_datadir/dbus-1/interfaces/org.kde.korganizer.Korganizer.xml
%_kf5_datadir/kconf_update/korganizer*
# Kontact integration
%_qt5_plugindir/kcm_apptsummary.so
%_qt5_plugindir/kcm_todosummary.so
%_qt5_plugindir/kontact_korganizerplugin.so
%_qt5_plugindir/kontact_todoplugin.so
%_qt5_plugindir/kontact_journalplugin.so
%_kf5_services/kcmapptsummary.desktop
%_kf5_services/kontact/korganizerplugin.desktop
%_kf5_services/kontact/todoplugin.desktop
%_kf5_services/kontact/journalplugin.desktop
%_kf5_datadir/kontact/ksettingsdialog/korganizer.setdlg
%_iconsdir/*/*/*/*
%_qt5_plugindir/kcm_sdsummary.so
%_qt5_plugindir/kontact_specialdatesplugin.so
%_kf5_datadir/kontact/ksettingsdialog/specialdates.setdlg
%_kf5_datadir/kservices5/kcmsdsummary.desktop
%_kf5_datadir/kservices5/kontact/specialdatesplugin.desktop

#------------------------------------------------------------------------------

%define korganizer_core_major 5
%define libkorganizer_core %mklibname korganizer_core %korganizer_core_major

%package -n %libkorganizer_core
Summary: KDEPIM library
Group: System/Libraries

%description -n %libkorganizer_core
KDEPIM library.

%files -n %libkorganizer_core
%_kf5_libdir/libkorganizer_core.so.%{korganizer_core_major}*

#------------------------------------------------------------------------------

%define korganizer_interfaces_major 5
%define libkorganizer_interfaces %mklibname korganizer_interfaces %korganizer_interfaces_major

%package -n %libkorganizer_interfaces
Summary: KDEPIM library
Group: System/Libraries

%description -n %libkorganizer_interfaces
KDEPIM library.

%files -n %libkorganizer_interfaces
%_kf5_libdir/libkorganizer_interfaces.so.%{korganizer_interfaces_major}*

#------------------------------------------------------------------------------

%define korganizerprivate_major 5
%define libkorganizerprivate %mklibname korganizerprivate %korganizerprivate_major

%package -n %libkorganizerprivate
Summary: KDEPIM library
Group: System/Libraries

Obsoletes:    %{_lib}korganizerprivate4 < 2:4.14.11
Obsoletes:    %{_lib}korganizerprivate4 = %version-%release

%description -n %libkorganizerprivate
KDEPIM library.

%files -n %libkorganizerprivate
%_kf5_libdir/libkorganizerprivate.so.%{korganizerprivate_major}*

#------------------------------------------------------------------------------

%define devel %mklibname %name -d 

%package -n %devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt

Requires: %libkorganizer_core = %epoch:%version
Requires: %libkorganizer_interfaces = %epoch:%version
Requires: %libkorganizerprivate = %epoch:%version

%description  -n %devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %devel
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%package -n korganizer-handbook
Summary: Korganizer Handbook
Conflicts: korganizer < 2:4.7.1
Requires:  korganizer >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

# conflicts with mga6 packages
Conflicts:      kde-l10n-handbooks-ar < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bg < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-cs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-da < 17.04.3-1
Conflicts:      kde-l10n-handbooks-de < 17.04.3-1
Conflicts:      kde-l10n-handbooks-el < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_US < 17.04.3-1
Conflicts:      kde-l10n-handbooks-es < 17.04.3-1
Conflicts:      kde-l10n-handbooks-et < 17.04.3-1
Conflicts:      kde-l10n-handbooks-eu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ga < 17.04.3-1
Conflicts:      kde-l10n-handbooks-gl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-he < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-id < 17.04.3-1
Conflicts:      kde-l10n-handbooks-is < 17.04.3-1
Conflicts:      kde-l10n-handbooks-it < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ja < 17.04.3-1
Conflicts:      kde-l10n-handbooks-kk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-km < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ko < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-mr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nb < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nds < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nn < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ro < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ru < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-tr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ug < 17.04.3-1
Conflicts:      kde-l10n-handbooks-uk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-wa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.04.3-1

%description -n korganizer-handbook
This package provides korganizer handbook.

%files -n korganizer-handbook
%_kf5_docdir/HTML/*/korganizer

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build
%find_lang %name --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 2:17.12.2-1.mga6
+ Revision: 1202311
- New version 17.12.2
- New version 17.12.1

* Sat Mar 11 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1091976
- Exclude on armv5

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090111
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076855
- New version 16.12.0

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075330
- imported package korganizer

